Compatibilidad de Navegadores y Bootstrap 4

Bootstrap

Un factor importante es saber la compatibilidad que tiene una librería, herramienta o Framework como Bootstrap 4 con los Navegadores en sus versiones Desktop y para Dispositivos Móviles, con esta información evitarás dolores de cabeza en la presentación de tus vistas Front, veamos en este artículo con que versiones de Navegadores puedes usar Bootstrap 4 sin problemas.

Bootstrap 4 es compatible en su mayoría con las versiones más recientes y estables de los principales navegadores y plataformas excepto las versiones de Internet Explorer y Microsoft Edge 10 y 11 en Sistema Operativo Windows.

Otros Navegadores que utilizan directamente la última versión de Webkit, Blink o Gecko, no son compatibles de manera explicita con Bootstrap 4, sin embargo también debería de funcionar en la mayoría de casos correctamente en estos navegadores.

Bootstrap 4 usa la herramienta Autoprefixer para manejar el soporte de navegadores por medio de prefijos CSS junto con Browserlist para manejar las versiones de los Navegadores adecuadamente.

Por otro lado Bootstrap 4 no es compatible con Navegadores proxy como Opera Mini, Opera Mobile(Modo Turbo), UC Browser Mini y Amazon Silk.

Navegadores Desktop

En la siguiente lista puedes apreciar la compatibilidad de Bootstrap 4 con Navegadores de PCs, Laptops y similares

Chrome Mozilla Firefox Internet Explorer Microsoft Edge Opera Safari
Mac S.O. Soportado Soportado N / A N / A Soportado Soportado
Windows S.O. Soportado Soportado Compatible, IE10 + Soportado Soportado No soportado

Navegadores Móviles

En la actualidad existen versiones de Navegadores muy populares para versiones móviles, veamos a continuación una lista de compatibilidad

Cromo Firefox Safari Navegador de Android y WebView Microsoft Edge
Android S.O. Soportado Soportado N / A Android v5.0 + compatible Soportado
iOS S.O. Soportado Soportado Soportado N / A Soportado
Windows 10 S.O. Mobile N / A N / A N / A N / A Soportado

Bootstrap 4 tiene compatibilidad con las  versiones para empresas, escuela, universidades e instituciones de Mozilla Firefox (ESR).

Por otra parte también Bootstrap 4 tiene compatibilidad no oficialmente, con las últimas versiones del Navegador Chromiun, además de Google Chrome y Mozilla Firefox para Linux.

En cuanto a Internet Explorer no hay mucha compatibilidad porque las versiones 9 hacia abajo no soportan algunas propiedades CSS3 y elementos HTML 5 indispensables para el diseño web moderno.

Notas

  • En futuras versiones de Bootstrap pueden cambiar las compatibilidades de los elementos con los Navegadores.
  • Cuando se te presenta errores de compatibilidad se suele trabajar con Hacks o diferentes versiones del diseño de un proyecto.

 

Síguenos en las Redes Sociales para que no te pierdas nuestros próximos contenidos.

Newsletter

Suscríbete a Nuestro Boletín de Novedades:

(Luego de la suscripción no te va salir ningun mensaje. Solo revisa tu bandeja de Correo para confirmar tu suscripción)
* indicates required